import Turtle.*;

Turtle t;

void setup() {
  size(800, 800);
  background(0);
  t = new Turtle(this);
  drawTiles();
}

void draw() {
}

void drawTiles() {
  for (int x=0; x<15; x++){
    for (int y=0; y<15; y++) {
      stroke(random(0,255), random(0,255), random(0,255));
      tile(x*60, y*60);
    }
  } 
}

//Manually draw tile based on coordinates
void tile(int x0, int y0) {
  t.penUp();
  t.goToPoint(x0, y0);
  t.penDown();
  
  //AB
  int x = x0-10;
  int y = y0+42;
  t.goToPoint(x, y);
  
  //BC
  x += 19;
  y -= 27;
  t.goToPoint(x, y);
  
  //CD
  x += 10;
  y -= 2;
  t.goToPoint(x, y);
  
  //DE
  x += 41;
  y -= 13;
  t.goToPoint(x, y);
  
  //EF
  x -= 33;
  y += 19;
  t.goToPoint(x, y);
  
  //FG
  x += 14;
  y += 15;
  t.goToPoint(x, y);
  
  //GH
  x -= 19;
  y -= 3;
  t.goToPoint(x, y);
  
  //HI
  x += 11;
  y += 15;
  t.goToPoint(x, y);
  
  //IJ
  x -= 17;
  y += 21;
  t.goToPoint(x, y);
  
  //JK
  x += 30;
  y -= 18;
  t.goToPoint(x, y);
  
  //KL
  x -= 8;
  y += 12;
  t.goToPoint(x, y);
  
  //LM
  x += 22;
  y -= 1;
  t.goToPoint(x, y);
  
  //MN
  x -= 41;
  y += 13;
  t.goToPoint(x, y);
  
  //NO
  x -= 10;
  y += 2;
  t.goToPoint(x, y);
  
  //OP
  x -= 19;
  y += 27;
  t.goToPoint(x, y);
  
  //PQ
  x += 10;
  y -= 42;
  t.goToPoint(x, y);
  
  //QR
  x -= 22;
  y += 1;
  t.goToPoint(x, y);
  
  //RS
  x += 8;
  y -= 12;
  t.goToPoint(x, y);
  
  //ST
  x -= 30;
  y += 18;
  t.goToPoint(x, y);
  
  //TU
  x += 17;
  y -= 21;
  t.goToPoint(x, y);
  
  //UV
  x -= 11;
  y -= 15;
  t.goToPoint(x, y);
  
  //VW
  x += 19;
  y += 3;
  t.goToPoint(x, y);
  
  //WX
  x -= 14;
  y -= 15;
  t.goToPoint(x, y);
  
  //XA
  x += 33;
  y -= 19;
  t.goToPoint(x, y);
}
